Name:           brick
Version:        0.2.11.34
Release:        1%{?dist}
Summary:        An open source Bitrix24 messenger client
Group:          Applications/Internet
License:        MIT
URL:            https://github.com/buglloc/brick

# Main Brick tarball
Source0:        https://github.com/buglloc/brick/archive/v0.2.11.34.tar.gz
# CEF libs
Source1:        https://github.com/buglloc/cef-builds/raw/0d15971961fda87682bd5e067cdcf5450e72b6b8/libs/cef-x86_64.tar.gz
Source2:        https://github.com/buglloc/cef-builds/raw/0d15971961fda87682bd5e067cdcf5450e72b6b8/libs/cef-i686.tar.gz

Requires:       gtk2, alsa-lib, GConf2, libgcrypt, libXScrnSaver, libnotify, libXtst, nss, desktop-file-utils, xdg-utils
BuildRequires:  %{requires}, gcc, gcc-c++, cmake, libX11-devel, gtk2-devel, cairo-devel, libXScrnSaver-devel, glib2-devel, libnotify-devel

AutoReqProv:    no

%global _enable_debug_package 0
%global debug_package %{nil}
%define optdir /opt/%{name}

%description
An open source Bitrix24 messenger client which supports:
  - multiple accounts (switch tab)
  - chat
  - notifications (including Unity Launcher integration)
  - voice & video calls
  - desktop/window sharing
  - file sharing
  - simple integration with external systems based on D-Bus. 

%prep

%setup -q -n brick-%{version}
%ifarch x86_64
%setup -q -T -D -a 1 -c -n cef-libs
%else
%setup -q -T -D -a 2 -c -n cef-libs
%endif

%build
# Hack for libcef.so
%ifarch x86_64
ln -sf /usr/lib64/libudev.so.1 %{_builddir}/libudev.so.0
%else
ln -sf /usr/lib/libudev.so.1 %{_builddir}/libudev.so.0
%endif
LD_LIBRARY_PATH=$LD_LIBRARY_PATH:%{_builddir}
export LD_LIBRARY_PATH

rm -rf %{_builddir}/brick
mv %{_builddir}/brick-%{version} %{_builddir}/brick
mkdir -p %{_builddir}/brick/Release
mv %{_builddir}/cef-libs/* %{_builddir}/brick/Release
mkdir -p %{_builddir}/build
cd %{_builddir}/build
cmake -DSKIP_BRICK_REGISTER=1 -DCMAKE_INSTALL_PREFIX=%{_builddir}/out %{_builddir}/brick
make


%install
rm -rf %{buildroot}
cd %{_builddir}/build
make install
mkdir -p %{buildroot}%{optdir}
mkdir -p %{buildroot}%{_datadir}
cp -a %{_builddir}/out/opt/brick/. %{buildroot}%{optdir}
cp -a %{_builddir}/out/usr/share/. %{buildroot}%{_datadir}
cp -a %{_builddir}/out/etc %{buildroot}%{_sysconfdir}

mkdir -p %{buildroot}%{_bindir}
ln -sf %{optdir}/brick %{buildroot}%{_bindir}/%{name}
ln -sf %{optdir}/bin/brick-client %{buildroot}%{_bindir}/brick-client

desktop-file-install --mode 0644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{optdir}/brick.desktop
desktop-file-install --mode 0644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{optdir}/brick-client.desktop

# Hack for libcef.so
%ifarch x86_64
ln -sf /usr/lib64/libudev.so.1 %{buildroot}%{optdir}/libudev.so.0
%else
ln -sf /usr/lib/libudev.so.1 %{buildroot}%{optdir}/libudev.so.0
%endif

%post
for icon in " %{optdir}/resources/app_icons/brick"*.png; do
    size="${icon##*/brick}"
    xdg-icon-resource install --novendor --size "${size%.png}" "$icon" "brick" &> /dev/null || :
done

xdg-icon-resource forceupdate --theme hicolor &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor &> /dev/null || :
update-desktop-database &> /dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{optdir}/
%{optdir}/*
%{_datadir}/applications/brick.desktop
%{_datadir}/applications/brick-client.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/menu/*.menu
%{_sysconfdir}/xdg/%{name}/
%config(noreplace) %{_sysconfdir}/xdg/%{name}/example-config.json
%{_bindir}/brick
%{_bindir}/brick-client
%attr(755, root, root) %{optdir}/brick
%attr(755, root, root) %{optdir}/bin/brick-client
%attr(4755, root, root) %{optdir}/bin/chrome-sandbox

%changelog
* Sun Mar 13 2016 Buglloc <buglloc@yandex.ru> 0.2.11.34-1
- Fixed building with new gcc
- Improved working with internal resources (#42)

* Wed Mar 02 2016 Buglloc <buglloc@yandex.ru> 0.2.10.34-1
- Last release before closing
- Minor improvements

* Mon Dec 21 2015 Buglloc <buglloc@yandex.ru> 0.2.9.34-1
- Updated CEF to version "3.2454.1344"
- Exposes simple Spellchecking API

* Mon Nov 30 2015 Buglloc <buglloc@yandex.ru> 0.2.8.31-1
- Implemented "add to autostart" in settings dialog
- New status and app icons
- Fixed startup title
- Minor brick/brick-client improvements

* Mon Nov 02 2015 Buglloc <buglloc@yandex.ru> 0.2.7.31-1
- Fixed "auto away" feature

* Sun Oct 25 2015 Buglloc <buglloc@yandex.ru> 0.2.6.31-3
- Improved support for KDE, Cinnamon, GNOME Shell
- Reimplemented Unita Launcher support
- Minor bug fixes and improvements
